/******************************************************************************
 *
 * $Id:$
 *
 * Copyright (C) 2000 by Dimitri van Heesch.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation under the terms of the GNU General Public License is hereby 
 * granted. No representations are made about the suitability of this software 
 * for any purpose. It is provided "as is" without express or implied warranty.
 * See the GNU General Public License for more details.
 *
 * The custom help code in this file was contributed by Mike Copperwhite.
 */
// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__7175AFA5_ADB3_11D3_813B_005056820166__INCLUDED_)
#define AFX_DSADDIN_H__7175AFA5_ADB3_11D3_813B_005056820166__INCLUDED_

#include "commands.h"

// {7175AF92-ADB3-11D3-813B-005056820166}
DEFINE_GUID(CLSID_DSAddIn,
0x7175af92, 0xadb3, 0x11d3, 0x81, 0x3b, 0, 0x50, 0x56, 0x82, 0x1, 0x66);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "Doxbar.DSAddIn.1",
		"DOXBAR Developer Studio Add-in", IDS_DOXBAR_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__7175AFA5_ADB3_11D3_813B_005056820166__INCLUDED)
